alsa-lib (1.2.14-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright years.
  * Update Standards-Version to 4.7.2.
  * Update symbols file for libasound2.

 -- Jordi Mallach <jordi@debian.org>  Mon, 14 Apr 2025 20:26:22 +0200

alsa-lib (1.2.13-1) unstable; urgency=medium

  * New upstream release.
  * Fix path to libasound2's html documentation in doc-base's index.
  * Update symbols file for libasound2.

 -- Jordi Mallach <jordi@debian.org>  Thu, 02 Jan 2025 01:31:04 +0100

alsa-lib (1.2.12-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0, with no changes needed.
  * Fix typo in license name for LGPL in copyright file (closes: #1061276).

 -- Jordi Mallach <jordi@debian.org>  Thu, 27 Jun 2024 15:49:26 +0200

alsa-lib (1.2.11-1) unstable; urgency=medium

  * New upstream release.
  * Update watch and copyright files for new https-based download URL.
  * Drop cherry-picked patches, now included in the release.
  * Update copyright years.
  * Merge NMU changes for the 64-bit time_t transition. Many thanks, vorlon!
  * Update symbols files.

 -- Jordi Mallach <jordi@debian.org>  Thu, 29 Feb 2024 19:27:15 +0100

alsa-lib (1.2.10-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Call --add-udeb=libasound2-udeb to fix shlibs for udebs after the
    deb rename.  Closes: #1064974.

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 18:48:52 +0000

alsa-lib (1.2.10-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061886

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:56:04 +0000

alsa-lib (1.2.10-3) unstable; urgency=medium

  * Add upstream patch to fix MIDI playback in some apps (closes: #1055756).

 -- Jordi Mallach <jordi@debian.org>  Wed, 13 Dec 2023 01:53:29 +0100

alsa-lib (1.2.10-2) unstable; urgency=medium

  [ Mohammed Bilal ]
  * Add upstream patch to fix ump header detection (Closes: #1052720)

  [ Jordi Mallach ]
  * Add patches to fix segfaults with 32 bit binaries (closes: #1051901).

 -- Jordi Mallach <jordi@debian.org>  Tue, 12 Dec 2023 15:34:50 +0100

alsa-lib (1.2.10-1) unstable; urgency=medium

  * New upstream release.
  * Drop patch from previous upload, cherry-picked from upstream git.
  * Update symbols files with newly added symbols.

 -- Jordi Mallach <jordi@debian.org>  Wed, 13 Sep 2023 01:06:28 +0200

alsa-lib (1.2.9-2) unstable; urgency=medium

  * Add upstream patch to fix SNDRV_PCM_IOCTL_SW_PARAMS ioctl. Thanks
    to Paul Tagliamonte for the report and Dan Cross for the upstream
    fix (closes: #1041868).

 -- Jordi Mallach <jordi@debian.org>  Wed, 23 Aug 2023 18:24:39 +0200

alsa-lib (1.2.9-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file with newly added symbols.
  * Update Standards-Version to 4.6.2, with no changes needed.
  * Update copyright years.

 -- Jordi Mallach <jordi@debian.org>  Tue, 13 Jun 2023 11:51:51 +0200

alsa-lib (1.2.8-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols file with 3 *dropped* symbols:
    - snd_pcm_direct_check_xrun@ALSA_0.9 (1.2.7.1)
    - snd_pcm_direct_poll_descriptors@ALSA_0.9 (1.1.6)
    - snd_pcm_direct_slave_recover@ALSA_0.9 (1.1.6)
    The only references to these functions were only in this source
    package; the massive headache attached to a Debian-only soname bump
    for this library clearly outweighs the benefits, if any.

 -- Jordi Mallach <jordi@debian.org>  Tue, 29 Nov 2022 13:17:46 +0100

alsa-lib (1.2.7.2-1) unstable; urgency=medium

  * New upstream release.
  * Update syntax for ancient-libtool lintian override.

 -- Jordi Mallach <jordi@debian.org>  Fri, 29 Jul 2022 07:17:59 +0200

alsa-lib (1.2.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.6.1 (no changes needed).
  * Drop python3.10.patch, fixed upstream.
  * Update symbols files (snd_pcm_direct_client_chk_xrun was renamed,
    but it was only used internally, with no other references in the
    Debian archive).

 -- Jordi Mallach <jordi@debian.org>  Wed, 06 Jul 2022 02:46:51 +0200

alsa-lib (1.2.6.1-2) unstable; urgency=medium

  * Merge from Ubuntu.

  [ Matthias Klose ]
  * Build with -flto-partition=none when building with lto.

  [ Graham Inggs ]
  * Fix build failure with Python 3.10.

 -- Jordi Mallach <jordi@debian.org>  Fri, 25 Feb 2022 12:34:34 +0100

alsa-lib (1.2.6.1-1) unstable; urgency=medium

  * New upstream release (closes: #1001697).
  * Import upstream signing key and configure watch file to check for sigs.
  * Update symbols file with newly added symbols.
  * Install missing /usr/share/alsa/ctl dir in libasound2-udeb
    (closes: #992536, with apologies for the long wait for this fix).
  * Update Standards-Version to 4.6.0, with no changes needed.
  * Update copyright years.

 -- Jordi Mallach <jordi@debian.org>  Wed, 12 Jan 2022 00:14:07 +0100

alsa-lib (1.2.5.1-1) unstable; urgency=medium

  [ Jordi Mallach ]
  * New upstream release.
  * Acknowledge 1.2.4-1.1 NMU by Thorsten Glaser.
  * Drop 976895.diff, cherry-picked from current version.
  * Update symbols file with newly added symbols.
  * Add several entries to upstream metadata.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.
  * Fix day-of-week for changelog entry 1.0.11-5.

 -- Jordi Mallach <jordi@debian.org>  Wed, 18 Aug 2021 00:31:12 +0200

alsa-lib (1.2.4-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Add upstream patch fixing a severe regression (Closes: #976895)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 30 Dec 2020 14:14:11 +0100

alsa-lib (1.2.4-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.5.1, with no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Mon, 07 Dec 2020 22:02:09 +0100

alsa-lib (1.2.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Acknowledge all previous NMUs.
  * Drop python 3.8 patch, now included upstream.
  * Update symbols file with two newly added symbols.
  * Move to debhelper compat v13.

 -- Jordi Mallach <jordi@debian.org>  Thu, 20 Aug 2020 20:18:24 +0200

alsa-lib (1.2.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules:
      - Added override_dh_auto_clean to allow the package build twice.
        (Closes: #962849)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Mon, 15 Jun 2020 04:16:18 +0000

alsa-lib (1.2.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/python3.8.diff:
      - Updated as upstream commit '1654f38', fixed FTBFS. (Closes: #953568)

 -- Francisco Vilmar Cardoso Ruviaro <francisco.ruviaro@riseup.net>  Wed, 10 Jun 2020 06:26:40 +0000

alsa-lib (1.2.2-2.1) unstable; urgency=medium

  [ Matthias Klose ]
  * Non-maintainer upload.

  [ Sebastien Bacher ]
  * debian/patches/python3.8.diff:
    - fix the build with python 3.8

 -- Matthias Klose <doko@debian.org>  Sat, 07 Mar 2020 19:21:22 +0100

alsa-lib (1.2.2-2) unstable; urgency=medium

  * Add an override_dh_makeshlibs to force the usage of -c4 with
    dpkg-gensymbols.
  * Drop debian revision from new libatopology2 symbols.

 -- Jordi Mallach <jordi@debian.org>  Sat, 29 Feb 2020 18:07:05 +0100

alsa-lib (1.2.2-1) unstable; urgency=medium

  [ Jordi Mallach ]
  * New upstream release.
  * Update Standards-Version to 4.5.0.
  * Override dh_installchangelogs to avoid installing stale upstream
    ChangeLog (closes: #922060).
  * Fix FTCBFS: Add B-D on libpython3-dev. Thanks Helmut Grohne for the
    patch (closes: #942196).
  * Update libatopology2.symbols with newly added symbols.

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly (closes: #949561).

 -- Jordi Mallach <jordi@debian.org>  Sat, 29 Feb 2020 16:42:36 +0100

alsa-lib (1.2.1.2-2) unstable; urgency=medium

  * No change, source-only upload after going through NEW.

 -- Jordi Mallach <jordi@debian.org>  Sun, 19 Jan 2020 20:06:24 +0100

alsa-lib (1.2.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Let libasound2-data Recommend: alsa-ucm-conf and alsa-topology-conf.

 -- Jordi Mallach <jordi@debian.org>  Thu, 16 Jan 2020 12:39:40 +0100

alsa-lib (1.2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove now irrelevant patches for ucm and topology configurations.
    ucm profiles and topology API configuration have moved to new source
    packages upstream.
  * Update symbols file. snd_tplg symbols have moved to a new
    libatopology.so.2 lib, included in new binaries libatopology2 and -dev.
  * Add Breaks: alsa-utils (<< 1.2.1) to libasound2, due to the snd_tplg_*
    ABI break, which is used only by a tool in alsa-utils.
  * Drop obsolete Breaks+Replaces on ancient versions of other packages.
  * Drop obsolete dh_makeshlibs override, now that smixer is in its own
    package.
  * Add Build-Depends-Package to symbols files (via lintian).

 -- Jordi Mallach <jordi@debian.org>  Thu, 16 Jan 2020 11:05:32 +0100

alsa-lib (1.1.9-1) unstable; urgency=medium

  * New upstream release (closes: #930827).
  * Update symbols list.
  * Update to debhelper compat v12 and switch to debhelper-compat B-D.
  * Update Standards-Version to 4.4.1.
  * Add Multi-Arch fields to -doc and -plugin-smixer.

 -- Jordi Mallach <jordi@debian.org>  Tue, 05 Nov 2019 15:50:20 +0100

alsa-lib (1.1.8-2) unstable; urgency=medium

  * Get rid of old, unused patches.
  * Backport necessary ucm changes to fix audio on Lenovo X1 Carbon Gen 7
    using the whiskeylake processor (thanks, Héctor Orón; closes: #940730).
  * Use cross-compatible python3-dev Build-Depends to fix FTCBFS
    (thanks, Helmut Grohne; closes: #854213).

 -- Jordi Mallach <jordi@debian.org>  Fri, 11 Oct 2019 12:44:01 +0200

alsa-lib (1.1.8-1) unstable; urgency=medium

  * New upstream release.
    + conf/ucm/Dell-WD15-Dock: Fix incorrect device names (Closes: #915675)
  * Removed 0008-pcm-interval-Interpret-x-x-1-correctly-and-return-x-.patch.
    Applied upstream.
  * Update Standards-Version to 4.3.0.
  * Bump shlibs to 1.1.8.
  * Add new libasound2 symbol.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 27 Jan 2019 20:02:43 +0100

alsa-lib (1.1.7-2) unstable; urgency=medium

  * Cherry picked 0008-pcm-interval-Interpret-x-x-1-correctly-and-return-x-.patch.
    Thanks to Rob Gibson for the hint. (Closes: #915079)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sat, 01 Dec 2018 09:57:47 +0100

alsa-lib (1.1.7-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to version 4.
  * Bump shlibs to 1.1.7.
  * Set Rules-Requires-Root to no.
  * Drop debian/changelog.ALSA and associated dh_installchangelogs
    override.
  * Update Standards-Version to 4.2.1.
  * Add new libasound2 symbol.
  * Drop dh_strip override, as -dbgsym transition is completed.

 -- Jordi Mallach <jordi@debian.org>  Fri, 02 Nov 2018 10:43:36 +0100

alsa-lib (1.1.6-1) unstable; urgency=medium

  * New upstream release.
  * Update Vcs-* fields to reflect conversion to Git and move to
    salsa.d.o.
  * Add debian/gbp.conf with current git repo layout options.
  * Update to Standards-Version 4.1.4.
  * Update to debhelper compat v11.
  * Drop B-D on dpkg-dev version present in oldoldstable.
  * Drop upstream patch from previous upload, now in the release.
  * Switch to python3-dev, per configure.ac.
  * Explicitly enable python mixer modules at configure.
  * Update libasound2's symbols list.
  * Switch from dh_install --list-missing to dh_missing --list-missing.
  * Update FSF address in copyright file.
  * Update libasound2-doc content references to new default location.
  * Move lintian-overrides to preferred location under debian/source.
  * Bump shlibs to 1.1.6.
  * Add a dh_install override to get rid of *.la files, and also add
    usr/bin/aserver to debian/not-installed.
  * Switch to dh_missing --fail-missing.
  * Remove Nexus UCM profiles, assuming that is not useful anymore after
    the demise of Ubuntu phone.

 -- Jordi Mallach <jordi@debian.org>  Tue, 01 May 2018 02:50:42 +0200

alsa-lib (1.1.3-5) unstable; urgency=medium

  [ Jordi Mallach ]
  * Add 0008-topology-Fix-incorrect-license-in-source-comments.patch from
    upstream git to fix the license headers on src/topology/* from GPL-2
    to LGPL-2.1+ as originally intended.
  * Drop GPL-2 paragraphs in d/copyright accordingly.

  [ Elimar Riesebieter ]
  * Add dh_auto_build to override_dh_auto_build-indep and dh_auto_install to
    override_dh_auto_install-indep to prevent a FTBFS with
    "dpkg-buildpackage -A". (closes: #854474)

 -- Jordi Mallach <jordi@debian.org>  Mon, 13 Feb 2017 20:12:05 +0100

alsa-lib (1.1.3-4) unstable; urgency=medium

  * Add copyright notes for src/topology. Thanks Thorsten Alteholz for
    bringing this up.
  * Improve and complete the rest of the copyright statements.

 -- Jordi Mallach <jordi@debian.org>  Tue, 24 Jan 2017 12:30:46 +0100

alsa-lib (1.1.3-3) unstable; urgency=medium

  * Restore installing the smixer plugins into a new binary package
    libasound2-plugin-smixer. Thanks to Michael Biebl for suggested patch.
  * Build-Depend again on python-dev and drop --disable-python.
  * Drop unneeded override of dh_auto_install.

 -- Jordi Mallach <jordi@debian.org>  Mon, 23 Jan 2017 23:55:17 +0100

alsa-lib (1.1.3-2) unstable; urgency=medium

  * ALSA smixer bits require python to be installed to work, but this check
    was only recently added to upstream build system in a668a942, which
    means smixer users have had it working via unrelated libpython2.7
    dependencies. Remove smixer bits entirely for now in preparation for a
    split-out to a new binary (closes: #852281, LP: #1658606).

 -- Jordi Mallach <jordi@debian.org>  Mon, 23 Jan 2017 10:37:23 +0100

alsa-lib (1.1.3-1) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * New upstream release.
  * Introduced source.lintian-overrides as the zero byte ltconfig file isn't
    relevant for our build.
  * Bumped debhelper compatibility level to 10.
  * Changed debian/compat accordingly.
  *  Remove --with autoreconf from calls to dh.
     With Debhelper compat level 10 the autoreconf sequence is enabled by
     default.
  * Drop Build-Depends on dh-autoreconf.
  * Refreshed patches.
  * Removed Speech-stops-working-when-run-BRLTTY.patch. Solved different from
    upstream.
  * Gitfied lp652035-use-extended-namehints.patch and
    add-tegra-alc5632.patch.
  * Enabled python to install smixer. Added python-dev to Build-Depends
    accordingly.
  * Applied wrap-and-sort.
  * Updated changelog.ALSA.

  [ Jordi Mallach ]
  * Use HTTPS in Homepage and copyright-format URLs.

 -- Jordi Mallach <jordi@debian.org>  Mon, 23 Jan 2017 00:58:15 +0100

alsa-lib (1.1.2-1) unstable; urgency=medium

  * New upstream release.
  * Refreshed patches.
  * Updated symbols. Bump shlibs in dh_makeshlibs call.
  * Updated changelog.ALSA.
  * Formatted debian/copyright as DEP5.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Wed, 03 Aug 2016 15:35:03 +0200

alsa-lib (1.1.1-2) unstable; urgency=medium

  * Added "dh_auto_install --destdir=debian/tmp" to debian/rules. Reversed
    Santiago's patch. Hopefully fixes FTBFS when built with
    dpkg-buildpackage -A (closes: 805992)
  * Overhauled rules accordingly.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 12 Jun 2016 11:23:05 +0200

alsa-lib (1.1.1-1) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * New upstream release
  * Fix a FTBFS when built with dpkg-builldpackage -A. Thanks Santiago Vila
    for the patch.(closes: 805992)
  * Changed Breaks and Replaces of libasound-data to
    libasound2 (<<${binary:Version}). (closes: 813446).
  * Fix an error when built with dpkg-builldpackage -A. Add graphviz to
    Build-Depends-Indep: Thanks Santiago Vila for the hint. (closes: 818664)
  * Bump Standards-Version to 3.9.8.
  * Added 2 new symbols in debian/libasound2.symbols. Bump shlibs in
    dh_makeshlibs call.
  * Enabled hardening=+all
  * Remove unused *.md5 files from documentation.
  * Removed unwanted duplicates from documentation
  * Added --dbgsym-migration and remove libasound2-dbg respectively.
  * Removed invalid paragraph about upstreams bugtracker from copyright.
  * Introduced git log as upstreams changelog.

 -- Elimar Riesebieter <riesebie@lxtec.de>  Sun, 08 May 2016 14:06:31 +0200

alsa-lib (1.1.0-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * Update changelog.ALSA
  * Refreshed ucm configuration patches
  * Update symbols file
    - two symbols (snd_is_local, snd_rawmidi_conf_generic_id) went missing,
      but had no users in the Debian archive outside alsa-lib

  [ Jordi Mallach ]
  * Use https for Vcs-Browser.
  * Bump shlibs in dh_makeshlibs call.

 -- Jordi Mallach <jordi@debian.org>  Mon, 01 Feb 2016 23:58:41 +0100

alsa-lib (1.0.29-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added /usr/share/doc/libasound2-dev/examples (closes: #768592).
  * Bump Standards-Version to 3.9.6.

  [ Luke Yelavich ]
  * New upstream release
  * Refreshed patches:
    - add-tegra-alc5632.patch
    - lp652035-use-extended-namehints.patch
    - 0001-Add-UCM-configuration-for-Nexus-4-Mako.patch
    - 0002-Add-UCM-config-file-for-Galaxy-Nexus-maguro.patch
    - 0003-Add-UCM-files-for-Nexus-7.patch
    - 0004-Add-UCM-config-files-for-Nexus-10.patch
    - 0005-Add-UCM-config-files-for-Nexus-5.patch
  * Update symbols
  * Update changelog.ALSA

  [ Jordi Mallach ]
  * Remove the XS-Testsuite field, no longer required with dpkg 1.17.10.
  * Add Luke Yelavich to Uploaders.

 -- Jordi Mallach <jordi@debian.org>  Thu, 02 Jul 2015 10:48:41 +0200

alsa-lib (1.0.28-1) unstable; urgency=medium

  [ Luke Yelavich ]
  * New upstream release
  * Dropped patches, applied upstream:
    - tests_lm_ftbfs.patch
    - Fix-access-of-freed-memory-in-namehints.patch
  * Refreshed patches:
    - 0001-Add-UCM-configuration-for-Nexus-4-Mako.patch
    - 0002-Add-UCM-config-file-for-Galaxy-Nexus-maguro.patch
    - 0003-Add-UCM-files-for-Nexus-7.patch
    - 0004-Add-UCM-config-files-for-Nexus-10.patch

 -- Jordi Mallach <jordi@debian.org>  Sat, 05 Jul 2014 00:04:47 +0100

alsa-lib (1.0.27.2-4) unstable; urgency=medium

  * Merge all pending delta from Ubuntu:
    - Add a compile/run autopkg test
    - Add UCM profiles for Nexus 7 (2012), Nexus 10, Nexus 4 and Galaxy Nexus
    - Add config file for the tegra alc5632 chip found in the AC100 netbook
    - Add hints for non-standard devices that lack configuration files
  * Rename the autopkg test to build-seq, to make lintian happy.
  * Bump Standards-Version to 3.9.5.

 -- Jordi Mallach <jordi@debian.org>  Wed, 14 May 2014 10:20:01 +0200

alsa-lib (1.0.27.2-3) unstable; urgency=low

  * Add preinst scripts to -dbg and -dev packages to correctly
    transition from symlinked doc directories to real directories
    (closes: #716874).

 -- Jordi Mallach <jordi@debian.org>  Sat, 19 Oct 2013 16:41:13 +0200

alsa-lib (1.0.27.2-2) unstable; urgency=high

  * Team upload.
  * Apply patch by Samuel Thibault to fix speech synthesis in the
    Debian Installer: without the /usr/share/alsa/pcm directory, one
    only gets garbage, so ship that directory in the udeb. Thanks,
    Samuel! (closes: #726258)

 -- Cyril Brulebois <kibi@debian.org>  Mon, 14 Oct 2013 23:30:27 +0200

alsa-lib (1.0.27.2-1) unstable; urgency=low

  * New upstream release.
  * Drop fix_return_value_of_snd_pcm_rewind.patch and fix_docs_typo.patch:
    applied upstream.

 -- Jordi Mallach <jordi@debian.org>  Tue, 09 Jul 2013 01:12:03 +0200

alsa-lib (1.0.27.1-2) unstable; urgency=low

  * Add fix_return_value_of_snd_pcm_rewind.patch: this fixes several
    problems with plugins, and fixes a Pulseaudio crash.
  * Add tests_lm_ftbfs.patch: add -lm where needed, to fix two build
    failures in tests (closes: #709900).

 -- Jordi Mallach <jordi@debian.org>  Fri, 28 Jun 2013 15:11:29 +0200

alsa-lib (1.0.27.1-1) unstable; urgency=low

  * New upstream release.
  * Drop all patches: all merged upstream.
  * Add fix_docs_typo.patch: fix typo in constant name (closes: #675960).
  * Only install the card data and alsa.conf for the udeb. The smixer and
    ucm configuration files are useless in debian-installer.

 -- Jordi Mallach <jordi@debian.org>  Wed, 29 May 2013 12:35:16 +0200

alsa-lib (1.0.27-4) unstable; urgency=low

  [ Jordi Mallach ]
  * Add double_dlclose.patch: from Git; avoid a double call of dlclose()
    in dlobj caching code.
  * inline_headers.patch: from Git; use __inline__ for exported headers.
    Fixes builds for packages using C90.
  * Add ucm_profiles.patch: from Git; include UCM profiles from Chromebook
    and Ubuntu.
  * Introduce a new binary libasound2-data, and install all driver
    configuration files and UCM profiles there.

  [ Cyril Brulebois ]
  * Fix dh_makeshlibs call:
    - Reintroduce --add-udeb=libasound2-udeb (broken dependencies for debs
      otherwise: #708353 for alsa-utils-udeb).
    - Restore -V'libasound2 (>= 1.0.27)' as well, since symbols files don't
      work for udebs. Regular debs will keep on picking the most relaxed
      dependency, as usual. Closes: #708357.

 -- Jordi Mallach <jordi@debian.org>  Tue, 14 May 2013 20:34:25 +0200

alsa-lib (1.0.27-3) unstable; urgency=low

  * Brown paper bag: use override_dh_auto_build-indep and
    dh_auto_install-indep to handle doxygen docs, to correctly avoid
    building docs on binary-arch-only builds. Thanks to Adam Conrad
    for the suggestion.
  * Pass --disable-static to configure.

 -- Jordi Mallach <jordi@debian.org>  Thu, 09 May 2013 09:59:00 +0200

alsa-lib (1.0.27-2) unstable; urgency=low

  * Upload to unstable.
  * Move doxygen to Build-Depends-Indep (closes: #706800).

 -- Jordi Mallach <jordi@debian.org>  Thu, 09 May 2013 01:05:20 +0200

alsa-lib (1.0.27-1) experimental; urgency=low

  * New upstream release.
  * Drop sys_types_include.patch: fixed upstream.
  * Update libasound2.symbols with new API additions.
  * Mark libasound2-dbg Multi-Arch: same, so it is coinstallable.
  * Disable silent rules.
  * Bump Standards-Version to 3.9.4, with no further changes.

 -- Jordi Mallach <jordi@debian.org>  Fri, 26 Apr 2013 22:48:13 +0200

alsa-lib (1.0.26-1) experimental; urgency=low

  [ Elimar Riesebieter ]
  * Add sys_types_include.patch: Explicitly include <sys/types.h>, Thanks to
    Adam Conrad. (closes: #700230)

  [ Jordi Mallach ]
  * New upstream release.
  * It is with great pleasure that we drop the lib32asound binary package
    and all the unmanageable cruft that accompanied it (closes: #614242).
  * Rewrite debian/rules using dh.
  * Pass --list-missing to dh_install.
  * Install smixer objects, but avoid installing the python component to
    avoid an extra libpython dep on libasound2. If anyone requests it,
    we might reconsider in the future.
  * Drop htcl_remove_useless_assert.patch, applied upstream.
  * Drop libasound2.{postinst,postrm}: it was code to handle an upgrade
    case from 1999. Likewise for libasound2-dev.postinst.
  * Drop pointless dependency on libc6-dev.
  * Remove old and unused dmix example.
  * Stop symlinking doc dirs for libasound2-dev and -dbg. The amount of
    disk space saved is negligible.
  * Use default compression for source package.

 -- Jordi Mallach <jordi@debian.org>  Sun, 31 Mar 2013 23:22:54 -0500

alsa-lib (1.0.25-4) unstable; urgency=low

  * Add htcl_remove_useless_assert.patch: apply patch from git to remove
    incorrect assert which causes KMix to crash on KDE logins
    (thanks, Ralf Jung; closes: #681078).

 -- Jordi Mallach <jordi@debian.org>  Fri, 03 Aug 2012 23:35:47 +0200

alsa-lib (1.0.25-3) unstable; urgency=low

  * Merge from Ubuntu:
    - Remove trailing whitespace character from the end of the
      DEB_HOST_MULTIARCH definition, as it was breaking the plugin
      directory path.
  * Mark libasound2-dev Multi-Arch: same (closes: #666763).
  * Enable hardening flags, using a patch from Simon Ruderich,
    (closes: #662685).
  * Build-Depend on dpkg-dev (>= 1.16.1) for buildflags.mk usage.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Sat, 19 May 2012 18:12:58 +0200

alsa-lib (1.0.25-2) unstable; urgency=low

  * Upload to unstable.
  * Stop Build-Depending on libcxxtools-dev. Why we were doing this is a
    mystery.
  * Put the bi-arch horror on a diet: remove all lib64* stuff, and support
    lib32* for amd64 only (there's no point in supporting ppc64 in light
    of Multiarch). Simplify debian/rules bi-arch bits assuming the install
    dir is /usr/lib32 and doing no other calculations.
  * Handle installation of bi-arch files with .install files.
  * Use sed -i to modify bi-arch build Makefile.
  * Use dh_installdocs to install Doxygen documentation.
  * Stop suggesting lib32asound2-plugins, as it's going away.
  * Continue digging through lists of symbols of previous alsa-lib
    releases. libasound2.symbols is now based on 1.0.16, the version released
    with lenny.
  * Bump debhelper to version 9.

 -- Jordi Mallach <jordi@debian.org>  Sun, 12 Feb 2012 01:50:17 +0100

alsa-lib (1.0.25-1) experimental; urgency=low

  * New upstream release.
  * Update debian/changelog.ALSA.
  * Run source package through wrap-and-sort.
  * Edit add-maintainer-mode.patch to use AM_MAINTAINER_MODE([enable]).
  * Drop lp178442-ICE1712.patch (stolen from Git).
  * Drop pulseaudio_configuration.patch. PulseAudio should instead use
    the new alsa.conf.d directory to load the ALSA pulse config.
  * Drop relibtoolise.patch. Instead, Build-Depend on dh-autoreconf and
    adjust rules to use it.
  * Drop configure_cross_compile.patch, as it's apparently not needed
    anymore, and dh_autoreconf makes it unusable.
  * Don't configure with --enable-static anymore, as it breaks the build
    and it was useless anyway.
  * Don't try to install .a files that aren't built anymore.
  * Add a libasound2.symbols file, for now based on 1.0.23. Thanks
    Julien Cristau for the help to get this in shape.
  * Adapt call to dh_makeshlibs to stop using -V and use -c4 for
    dpkg-gensymbols, but leave biarch packages using -V.
  * Stop installing libasound2 and libasound2-udeb stuff by hand, use
    .install files instead. Drop obsolete .dirs files.
  * Let libasound2-doc depend on libjs-jquery, and replace the included
    copy of jquery.js with a symlink (lintian).
  * Add spelling_fixes.patch with the sole intention of getting lintian to
    shut up.
  * Remove Mikael Magnusson from Uploaders.
  * Use watch file version 3, and don't uupdate.
  * Update Vcs-* URLs.

 -- Jordi Mallach <jordi@debian.org>  Tue, 31 Jan 2012 00:09:11 +0100

alsa-lib (1.0.24.1-4) unstable; urgency=low

  [ Jordi Mallach ]
  * Get rid of README.source.

  [ Elimar Riesebieter ]
  * With the multi-arch move of libasound-plugins, libasound2 fails to load
    modules from the config file. multiarch-safe-dlopen-search-path.patch from
    the Ubuntu package works around this. Thanks Sjoerd Simons.
    (closes: #639613)
  * Loading the pulse configuration alsa file redirects alsa via pulse if it's
    running. pulseaudio_configuration.patch from the Ubuntu package works
    around this. Thanks Sjoerd Simons. (closes: #639615)

 -- Jordi Mallach <jordi@debian.org>  Tue, 06 Sep 2011 13:34:37 +0200

alsa-lib (1.0.24.1-3) unstable; urgency=low

  * Drop lib32asound2's Pre-Depends on libc6-i386, as the
    /emul/ia32-linux → /lib32 transition was completed for squeeze, and
    its presence causes a dependency loop introduced with the Multiarch
    changes (closes: #635568).
  * Make libasound2-udeb's short description unique.
  * Introduce a new libasound2-dbg package with debugging symbols for
    libasound2 (closes: #457884).

 -- Jordi Mallach <jordi@debian.org>  Wed, 03 Aug 2011 20:18:22 +0200

alsa-lib (1.0.24.1-2) unstable; urgency=medium

  [ Steve Langasek ]
  * Spell out the plugin dir path: the build system fails to expand
    substitutions, and '${libdir}' is obviously not present on the
    filesystem.

 -- Jordi Mallach <jordi@debian.org>  Thu, 21 Jul 2011 23:35:32 +0200

alsa-lib (1.0.24.1-1) unstable; urgency=low

  * New upstream release (partially based on Ubuntu updates)
    (closes: #633294).
  * Removed patches that were cherrypicked from Git or have been applied
    upstream:
    - thread-specific-locale.patch
    - thread-safe-locale.patch
    - refcount-dlobjs.patch
    - libtool-out-of-tree.patch
  * Import patch from Ubuntu:
    - lp178442-ICE1712.patch: Make pulseaudio succeed in opening
      ICE1712 chips such as Maudio 2496 and Delta 1010LT.
  * Refreshed patches:
    - relibtoolise.patch (David Henningsson).
  * Update shlibs to 1.0.24.1 (new symbols added).
  * Bump to debhelper compat v8.
  * Remove debian/tmp prefixes from .install file.
  * Add multiarch support:
    - Build-Depend on debhelper 8.1.3.
    - Add Pre-Depends: ${misc:Pre-Depends} to libasound2.
    - Declare DEB_HOST_MULTIARCH and use it to define $libdir.
    - Add an explicit --with-plugindir argument to base plugindir on the
      multiarch dir.
    - Update libasound2-dev.install.
    - Mark libasound2 Multi-Arch: same.
  * Break current versions of packages providing ALSA plugins.
  * Remove libasound2's .la file, as any reference will be now broken.

 -- Jordi Mallach <jordi@debian.org>  Sat, 16 Jul 2011 05:35:10 +0200

alsa-lib (1.0.23-4) unstable; urgency=low

  [ Jordi Mallach ]
  * Switch to architecture wildcard 'linux-any'.

  [ Elimar Riesebieter ]
  * Provide libasound2-udeb based on a patch from Samuel Thibault. Thanks.
    (closes: #613092)

  [ Jordi Mallach ]
  * Add -DHAVE_USELOCALE to CFLAGS (really closes: #595252). The correct
    fix would be to autoreconf entirely, but the mess of patches is bad
    enough already and this should be done better in the future when we
    go multiarch and we can cleanup debian/rules from the biarch horror.
  * Remove unneeded Suggests and Conflicts from -udeb.
  * Set Section to debian-installer.
  * Update upstream URL in copyright file.
  * Replace versioned conflicts with Breaks, and remove some obsolete ones.
  * Use versioned pointer to LGPL 2.1 licence.
  * Bump Standards-Version to 3.9.2 (no further changes).

 -- Jordi Mallach <jordi@debian.org>  Sat, 07 May 2011 16:53:13 +0200

alsa-lib (1.0.23-3) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added armhf to supported arch's of libasound2 and libasound2-dev
    (closes: #596968)

  [ Jordi Mallach ]
  * Acknowledge Simon's NMU. Thanks a lot!

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Apr 2011 19:41:43 +0200

alsa-lib (1.0.23-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add refcount-dlobjs.patch: backported upstream patch, originally by
    Jaroslav Kysela, to fix crashes when plugins are unloaded.
    (Closes: #589896, LP: #552411, #584393)
  * Add libtool-out-of-tree.patch: fix libtool version checking for the biarch
    build by grepping ltmain.sh in the ${srcdir}, making it unnecessary to
    force -DUSE_VERSIONED_SYMBOLS for the biarch build

 -- Simon McVittie <smcv@debian.org>  Fri, 08 Oct 2010 08:30:54 +0100

alsa-lib (1.0.23-2) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Make setlocale() thread safe:
    Applied thread-safe-locale.patch and thread-specific-locale.patch from
    upstream. (Closes: #595252)
  * Bump Standards-Version to 3.9.1, with no changes required.

 -- Jordi Mallach <jordi@debian.org>  Wed, 22 Sep 2010 12:22:18 +0200

alsa-lib (1.0.23-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Add powerpcspe to the list of supported architectures. Hint by Sebastian
    Andrzej Siewior. (closes: #583615)
  * Introduced DEP-3 patch headers.
  * Patch Dont_leak_timer_fd_on_pcm_slave_close.patch applied from upstream.
    Removed.

  [ Jordi Mallach ]
  * Remove lpia from the list of supported architectures, as it's not used
    by Ubuntu anymore.

 -- Jordi Mallach <jordi@debian.org>  Wed, 02 Jun 2010 20:21:04 +0200

alsa-lib (1.0.22-2) unstable; urgency=low

  [ Jordi Mallach ]
  * Bump Standards-Version to 3.8.4, with no changes required.

  [ Elimar Riesebieter]
  * Readded -DUSE_VERSIONED_SYMBOLS only to the bibuild CFLAGS.
    (Closes: #570703)

 -- Jordi Mallach <jordi@debian.org>  Sun, 21 Feb 2010 01:03:48 +0100

alsa-lib (1.0.22-1) unstable; urgency=low

  * New upstream release. (Closes: #549531)

  [ Jordi Mallach ]
  * Remove lintian overrides file; it only contains an obsolete entry.

  [ Daniel T Chen ]
  * debian/control: Add sparc64 to Architecture field for libasound2{,-dev}
    using patch from Aurelien Jarno. Thanks! (Closes: #560405)
  * debian/patches/Dont_leak_timer_fd_on_pcm_slave_close.patch: Properly
    free timer fd when closing pcm slaves. Backported from upstream master
    HEAD (LP: #451893) (Closes: #568101)

  [ Elimar Riesebieter]
  * Switched to source version 3.0.
  * As we are defining CFLAGS in rules -D_GNU_SOURCE added as suposed in
    original Makefile.
  * Removed -DUSE_VERSIONED_SYMBOLS from CFLAGS. It is used in the build system
    now.
  * Removed lintian file installation from rules.

 -- Jordi Mallach <jordi@debian.org>  Thu, 11 Feb 2010 21:24:39 +0100

alsa-lib (1.0.21a-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Mon, 14 Sep 2009 21:56:13 +0200

alsa-lib (1.0.21-1) unstable; urgency=low

  * New upstream release.
    + libasound2: Division by zero in pcm_rate.c when period_size->min == 0.
      Patch from John Lindgren applied upstream. Thanks! (closes: #539454)

  [ Elimar Riesebieter ]
  * Enable AM_MAINTAINER_MODE in a way where it actually has effect.
    Thanks Lionel Elie Mamane. (closes: #505088)
  * libasound2-dev: Don't install unneeded .la files. Bump shlibs to >> 1.0.20.
  * Added README.sources.
  * Updated changelog.ALSA and patches.

  [ Jordi Mallach ]
  * Revert .la removal after discussion with the Release Team. Instead,
    clear dependency_libs until all the depending packages have dropped the
    reverse dependency.

 -- Jordi Mallach <jordi@debian.org>  Thu, 10 Sep 2009 12:09:48 +0200

alsa-lib (1.0.20-4) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Conflicts: libc6-i386 (<= 2.9-18) to lib32asound2 and lib32asound2-dev as
    suggested by Aurelien Jarno. (closes: #538835)

  [ Jordi Mallach ]
  * Update Standards-Version to 3.8.3. No changes needed.

 -- Jordi Mallach <jordi@debian.org>  Fri, 28 Aug 2009 11:37:38 +0200

alsa-lib (1.0.20-3) unstable; urgency=low

  [ Jordi Mallach ]
  * Build-Depend on python-dev instead of python2.4-dev, as suggested
    by Steve Langasek (closes: #532044).

  [ Elimar Riesebieter ]
  * Move files in /emul/ia32-linux to /usr/lib32 as suggested by Clint Adams.
  * Pre-Depends: libc6-i386 (>= 2.9-18) (closes: #533005)
  * Bumped Standards-Version to 3.8.2. No changes.

 -- Jordi Mallach <jordi@debian.org>  Wed, 24 Jun 2009 13:40:03 +0200

alsa-lib (1.0.20-2) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Added -DUSE_VERSIONED_SYMBOLS to CFLAGS. This make sure the symbols
    associated to ALSA_0.9.0rc4 and ALSA_0.9.0rc8 are back in lib32asound2.
    (closes: #529940)
  * Removed duplicated 'Section' fields in debian/control.

 -- Jordi Mallach <jordi@debian.org>  Fri, 29 May 2009 01:56:26 +0200

alsa-lib (1.0.20-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Added lib(32|64)asound2-plugins to lib(32|64)asond2 suggestions. Thanks Jan
    Muszynski. (closes: #523420)
  * Added avr32 to Architectures. Thanks Bradley Smith for the hint.
    (closes: #528667)
  * Replaced "dh_clean -k" with "dh_prep"
  * Bumped Standard-Version to 3.8.1; no changes needed.
  * All patches refreshed.

 -- Jordi Mallach <jordi@debian.org>  Thu, 21 May 2009 02:34:29 +0200

alsa-lib (1.0.19-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

  [ Elimar Riesebieter ]
  * Install asoundrc.txt as an example. (closes: #505090)
  * Added libcxxtools-dev to Build-Depends

  [ Jordi Mallach ]
  * Change configure calls to use --build instead of --host to correct
    the biarch build for alsa-lib. Thanks to Andreas Metzler and
    Neil Williams for the advice (closes: #516585).

 -- Jordi Mallach <jordi@debian.org>  Wed, 04 Mar 2009 01:44:12 +0100

alsa-lib (1.0.18-1) experimental; urgency=low

  * New upstream release.

  [ Jordi Mallach ]
  * Improve libasound2's short description following suggestions by
    Dan Chen and Barry deFreese. Thanks! (closes: #493512)

  [ Elimar Riesebieter ]
  * Shorten new short descriptions in debian/control. (closes: #493512)
  * Pulseaudio 0.9.11 should be supported now. (closes: #499597)
  * Bump shlibs to 1.0.18, as new symbols have been added.
    - Adjusted suggested libasound2-plugins versions to 1.0.18.

 -- Jordi Mallach <jordi@debian.org>  Wed, 05 Nov 2008 21:17:55 +0100

alsa-lib (1.0.17-1) experimental; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release.
    - The "let's cleanup fixed bugs" release ;)
    (closes: #473384, #372735, #302227, #342026, #257797, #335046, #312577)
    (closes: #456643, #274951, #275573, #289206, #317426, #356049, #369530)
    (closes: #400268, #469641, #470568, #470865, #383054, #477991, #407641)
  * Removed patches as they are not needed anymore:
    - aclocal_libs_fix.patch
    - alpha_versioned_symbols.patch
    - dmix_first_set_fix.patch
    - doxygen_links.patch
  * Reorganized relibtoolise.patch
  * Switched to debhelper 7.
  * Bumped Standard-Version to 3.8.0; no changes needed.
  * libasound2-doc.doc-base: s/\/Apps//

  [ Jordi Mallach ]
  * Bump shlibs to 1.0.17, as new symbols have been added.
  * Target experimental, due to lenny freeze and the shlibs bump which could
    interfere.
  * Add lpia to supported arches for libasound2 and libasound2-dev.

 -- Jordi Mallach <jordi@debian.org>  Thu, 24 Jul 2008 22:22:44 +0200

alsa-lib (1.0.16-2) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Introduced dmix_first_set_fix.patch from ALSA hg repository.
    (closes: #469064)

 -- Jordi Mallach <jordi@debian.org>  Tue, 11 Mar 2008 13:09:32 +0100

alsa-lib (1.0.16-1) unstable; urgency=low

  * New upstream release

  [ Elimar Riesebieter ]
  * Switched to debhelper 6.
  * Bumped Standard-Version to 3.7.3; no changes needed.
  * Removed fix-sampling-bit-shifts.patch. Applied from upstream.
  * debian/rules: Let dh_shlibdeps run with lib64asound2 too.
  * Removed useless dir files.
  * Fullified copyright not in copyright file.

  [ Jordi Mallach ]
  * Bump shlibs to 1.0.16, new symbols have been added.

 -- Jordi Mallach <jordi@debian.org>  Mon, 25 Feb 2008 23:36:01 +0100

alsa-lib (1.0.15-3) unstable; urgency=medium

  [ Jordi Mallach ]
  * Switch to now official Vcs-* control fields.
  * New patch fix-sampling-bit-shifts.patch, provided by Loïc Minier
    which reverts broken bit shifts introduced in alsa-lib HG r2264,
    which were causing lots of clicks and creaking on at least
    GStreamer-based audio. Closes: #452282 and countless others.

 -- Jordi Mallach <jordi@debian.org>  Tue, 11 Dec 2007 10:55:26 +0100

alsa-lib (1.0.15-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added --with-plugindir=/$(bilibdir)/alsa-lib to config flags.
    (closes: #449418)

 -- Jordi Mallach <jordi@debian.org>  Wed, 14 Nov 2007 00:57:45 +0100

alsa-lib (1.0.15-1) unstable; urgency=low

  * New upstream release

  [ Elimar Riesebieter ]
  * Removed mdw.patch. Applied from upstream.
  * Added python2.4-dev to BuildDepends.
  * Added Homepage header in debian/control.
  * Added --disable-python for crosscompiling 64bit flavour.
  * debian/rules biarch code doesn't work for new architectures. Patch from
    Martin Michlmayr (closes: #447879)

 -- Jordi Mallach <jordi@debian.org>  Thu, 25 Oct 2007 21:27:14 +0200

alsa-lib (1.0.14a-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * PCM plugin `lfloat' not built: patch from Mark Wooding. The patch is
    applied upstream and should be disabled next rc release. (closes: #430833)
  * For some reason quilt refreshed relibtoolise.patch.
  * debian/control: s/${Source-Version}/${binary:Version}/
  * debian/rules: s/-$(MAKE) distclean/[ ! -f Makefile ] || $(MAKE) distclean/

 -- Jordi Mallach <jordi@debian.org>  Wed, 04 Jul 2007 14:40:59 +0200

alsa-lib (1.0.14a-1) unstable; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release
    - Fix plugin directory
    - Properly disable -Bsymbolic-functions if ld doesn't support
  * Revert passing --with-plugindir.

 -- Jordi Mallach <jordi@debian.org>  Wed, 13 Jun 2007 20:31:01 +0200

alsa-lib (1.0.14-2) unstable; urgency=low

  * debian/rules: pass --with-plugindir to configure, as a typo in
    configure.in sets a bad default (closes: #428334).

 -- Jordi Mallach <jordi@debian.org>  Mon, 11 Jun 2007 15:19:20 +0200

alsa-lib (1.0.14-1) unstable; urgency=low

  * New upstream release

  [ Elimar Riesebieter ]
  * Patch management switched to quilt. This is more comfortable.

  [ Jordi Mallach ]
  * Bump shlibs to 1.0.14, as new symbols have been added.

 -- Jordi Mallach <jordi@debian.org>  Sat, 09 Jun 2007 19:17:41 +0200

alsa-lib (1.0.14~rc4-2) experimental; urgency=low

  [ Jordi Mallach ]
  * debian/control:
    - add XS-Vcs-Browser and XS-Vcs-Svn headers.
    - Build-Depend on gcc-multilib only on the available architectures
      (thanks Frank Lichtenheld; closes: #424310).

 -- Jordi Mallach <jordi@debian.org>  Thu, 17 May 2007 01:44:35 +0200

alsa-lib (1.0.14~rc4-1) experimental; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release candidate.
  * Added gcc-multilib to Build-Depends. Thanks Bastian Blank and Matthias
    Klose. (closes: #422513)

 -- Jordi Mallach <jordi@debian.org>  Sun, 13 May 2007 02:04:31 +0200

alsa-lib (1.0.14~rc3-2) experimental; urgency=low

  [ Jordi Mallach ]
  * debian/control: fix typo which broke hppa build (closes: #420999).

 -- Jordi Mallach <jordi@debian.org>  Wed, 25 Apr 2007 20:33:04 +0200

alsa-lib (1.0.14~rc3-1) experimental; urgency=low

  [ Elimar Riesebieter ]
  * New upstream release candidate.

 -- Jordi Mallach <jordi@debian.org>  Wed, 11 Apr 2007 00:45:26 +0200

alsa-lib (1.0.14~rc1-1) experimental; urgency=low

  * New upstream release candidate.

  [ Elimar Riesebieter ]
  * Added arch armel to libasound. (closes: #408766)

 -- Elimar Riesebieter <riesebie@lxtec.de>  Fri, 29 Dec 2006 17:43:48 +0100

alsa-lib (1.0.13-2) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Added XS-X-Vcs-Svn field in control.
  * Make recording sound on Thinkpad t20 with chip Cirrus Logic CS 4614/22/24
    work (closes: #410863)
  * Urgency medium to serve this feature to etch users. This is fixed in 1.0.14
    version and doesn't need be patched there.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Feb 2007 18:20:43 +0100

alsa-lib (1.0.13-1) unstable; urgency=low

  * New upstream release

  [ Elimar Riesebieter ]
  * Rebuild patches/40_relibtoolise.dpatch.
  * Removed debian/patches/11_libtool_version.dpatch. Applied different from
    upstream

 -- Jordi Mallach <jordi@debian.org>  Tue,  3 Oct 2006 09:53:01 +0200

alsa-lib (1.0.12-1) unstable; urgency=low

  * New upstream release.

  [ Elimar Riesebieter ]
  * Removed 06_pcm_rate_hwptr_update.dpatch. Applied upstream.
  * Bumped compat to 5 and debhelper version >=5.0.37.
  * Cleaned out fuzzes and offsets in patches/*
  * Rebuild patches/40_relibtoolise.dpatch.
  * Removed description-synopsis-starts-with-a-capital-letter lintian
    overrides. No longer needed.
  * Added lib64asound2.lintian-overrides.

  [ Jordi Mallach ]
  * Bump shlibs due to newly added symbols.

 -- Jordi Mallach <jordi@debian.org>  Mon, 11 Sep 2006 11:14:58 +0200

alsa-lib (1.0.11-7) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Introduced --datadir=\$${prefix}/share in debian/rules. Otherwise soundapps
    are looking in $BUILDDIR/${prefix}/share.

 -- Jordi Mallach <jordi@debian.org>  Sun, 28 May 2006 22:02:37 +0200

alsa-lib (1.0.11-6) unstable; urgency=high

  * debian/patches/11_libtool_version: correctly detect libtool version in
    configure, avoiding some libasound symbols from becoming weak.
    Patch by Adeodato Simó, thanks! (closes: #369040 + 13 more).

 -- Jordi Mallach <jordi@debian.org>  Sun, 28 May 2006 12:02:33 +0200

alsa-lib (1.0.11-5) unstable; urgency=medium

  * debian/rules: Run dh_makeshlibs for the biarch libraries. Thanks,
    Matthias Klose (closes: #366277).
  * Fix FTBFS on systems with automake & autoconf installed, via adding
    AM_MAINTAINER_MODE to configure.in, a full relibtoolisation patch, and
    applying the cross-compiling patch after relibtoolisation
    (thanks Loïc Minier, closes: #368260).
    [debian/rules, debian/patches/05_multiarch.dpatch,
    debian/patches/10_add-maintainer-mode.dpatch, 40_relibtoolise.dpatch,
    41_configure_cross_compile.dpatch]

 -- Jordi Mallach <jordi@debian.org>  Fri, 26 May 2006 10:57:03 +0200

alsa-lib (1.0.11-4) unstable; urgency=low

  * debian/patches/06_pcm_rate_hwptr_update.dpatch: Fix the update of hwptr
    in rate plugin to avoid bad sounds on Ekiga and other applications
    (closes: #367524).
  * Bumped Standard-Version to 3.7.2; no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Fri, 19 May 2006 00:36:26 +0200

alsa-lib (1.0.11-3) unstable; urgency=low

  * debian/control: make lib32asound2 Replace/Conflict ia32-libs (<< 1.9),
    by suggestion of Frederik Schueler.

 -- Jordi Mallach <jordi@debian.org>  Tue, 25 Apr 2006 13:57:08 +0200

alsa-lib (1.0.11-2) unstable; urgency=low

  * debian/rules:
    - bump shlibs to 1.0.11.
    - move a comment to a variable assignment that was breaking amd64 builds.

 -- Jordi Mallach <jordi@debian.org>  Sun, 23 Apr 2006 18:31:11 +0200

alsa-lib (1.0.11-1) unstable; urgency=low

  [ Jordi Mallach ]
  * New upstream release

  [ Matthias Klose / Thomas Hood ]
  * amd64: Drop dependencies on ia32-libs*, install into /emul/ia32-linux

 -- Jordi Mallach <jordi@debian.org>  Sun, 23 Apr 2006 16:30:28 +0200

alsa-lib (1.0.10+1.0.11rc3-1) experimental; urgency=low

  * New upstream release candidate

  [ Jordi Mallach ]
  * Tweak descriptions.

 -- Jordi Mallach <jordi@debian.org>  Thu, 23 Feb 2006 20:41:53 +0100

alsa-lib (1.0.10+1.0.11rc2-2) experimental; urgency=low

  [ Jordi Mallach ]
  * Apply Matthias Klose's patch to build biarch packages (closes: #339443)

  [ Peter De Schrijver ]
  * 05_multiarch.dpatch: Fix configure script for biarch builds.

 -- Jordi Mallach <jordi@debian.org>  Thu, 26 Jan 2006 13:15:22 +0100

alsa-lib (1.0.10+1.0.11rc2-1) experimental; urgency=low

  [ Thomas Hood ]
  * New upstream release candidate
    Closes: #336115 LADSPA plugin rewrite for multiple channel LADSPA
    plugins

 -- Jordi Mallach <jordi@debian.org>  Tue, 10 Jan 2006 00:49:33 +0100

alsa-lib (1.0.10+1.0.11rc1-1) experimental; urgency=low

  * New upstream release candidate
    Closes: #340478 "Breaks PMacToonie.conf"

  [ Thomas Hood ]
  * Move libasound2-doc to Section: doc  (Closes: #343900)

 -- Jordi Mallach <jordi@debian.org>  Fri, 30 Dec 2005 13:51:41 +0100

alsa-lib (1.0.10-2) unstable; urgency=low

  [ Thomas Hood ]
  * Remove obsolete .asoundrc example for enabling dmix.  dmix is now
    enabled by default for all sound cards that support it
    (Closes: #340763, #342026)

  [ Mikael Magnusson ]
  * Fix broken doxygen links in pcm.c and rawmidi.c. (Closes: #337251)

 -- Jordi Mallach <jordi@debian.org>  Tue, 13 Dec 2005 21:49:29 +0100

alsa-lib (1.0.10-1) unstable; urgency=low

  * New upstream release
    Closes: #336110 Fails to read config when locale delim not '.'
    Closes: #336111 LADSPA plugins no work when locale delim not '.'
  * Jordi Mallach
    - Bump shlibs to 1.0.10.

 -- Jordi Mallach <jordi@debian.org>  Mon, 21 Nov 2005 20:11:12 +0100

alsa-lib (1.0.9+1.0.10rc3-1) experimental; urgency=low

  * New upstream release candidate
  * Thomas Hood
    - Conflict with pre-1.0.9 libasound2-plugins
  * Jordi Mallach
    - Add "armeb" to our static list of target architectures.

 -- Jordi Mallach <jordi@debian.org>  Thu, 10 Nov 2005 17:18:45 -0500

alsa-lib (1.0.9+1.0.10rc2-1) experimental; urgency=low

  * New upstream release candidate
  * Thomas Hood
    - debian/control: s/Architecture: any/Architecture: <Linux arches>/
      (Closes: #327186)

 -- Jordi Mallach <jordi@debian.org>  Tue, 25 Oct 2005 10:25:11 +0200

alsa-lib (1.0.9+1.0.10rc1-1) experimental; urgency=low

  * New upstream release candidate
    - Closes: #277539 (allow control of shm gid)
  * Thomas Hood
    - Update upstream changelog; put it and NOTES in -doc
    - Replace -dev's doc dir with a symlink
    - Make -dev and -doc Suggest each other
  * Jordi Mallach
    - Bump shlibs

 -- Jordi Mallach <jordi@debian.org>  Mon, 19 Sep 2005 21:32:10 +0200

alsa-lib (1.0.9-3) unstable; urgency=low

  * Thomas Hood
    - Bump Standards-Version to 3.6.2.1; no changes required
    - Make libasound2-dev Conflict with alsa-headers (old dummy pkg)
    - Add upstream changelog
    - Drop aserver program  (Closes: #290735, #285320).
      If you need the aserver program, please file a wish in the
      Debian BTS.  For bonus marks, include a man page!
    - Eliminate obsolete dependencies

 -- Jordi Mallach <jordi@debian.org>  Thu,  7 Jul 2005 18:40:59 +0200

alsa-lib (1.0.9-2) unstable; urgency=low

  * Thomas Hood
    - Conflict with pre-1.0.9 libasound2-plugins

 -- Jordi Mallach <jordi@debian.org>  Wed,  8 Jun 2005 15:20:32 +0200

alsa-lib (1.0.9-1) unstable; urgency=low

  * New upstream release
    - Fix bug that disabled stack protection (CAN-2005-0087)
      (RedHat bug #144518)  (Closes: #301164)
    - Fixes related to mplayer (Closes: #310189)
  * Jordi Mallach
    - debian/rules: bump shlibs to 1.0.9.

 -- Jordi Mallach <jordi@debian.org>  Sun,  5 Jun 2005 23:00:51 +0200

alsa-lib (1.0.8+1.0.9rc3-1) experimental; urgency=low

  * New upstream release
    - Closes: #291533 "ttable in .asoundrc do not accept fractions"
    - Closes: #293928 "wrong routings of channels for 5.1 ICH5"
    - Closes: #299423 "Please include asound_fm.h"
    - Closes: #300792 "FTBFS (ppc64/gcc-4.0): static declaration ..."
    - libasound2-plugins is no longer built from this source package
  * Thomas Hood
    - Remove the control entry, commands in rules, build dependencies
      related to libasound2-plugins
    - Add some mutual Suggestions among the ALSA library packages
    - Drop dpatch applied upstream: 10_conf-space-fix
    - debian/NOTES:
      + Add note about what to do if we ever have libasound3
      + Remove note about building libasound2-plugins
    - Tweak descriptions

 -- Jordi Mallach <jordi@sindominio.net>  Wed, 11 May 2005 13:32:05 +0200

alsa-lib (1.0.8-3) unstable; urgency=medium

  * Thomas Hood:
    - debian/control
      + s/alsalib-dev/libasound-dev/ in libasound2-dev's Conflicts: and
        Provides:, to use a more standard naming scheme

 -- Jordi Mallach <jordi@debian.org>  Thu, 24 Feb 2005 20:09:09 +0100

alsa-lib (1.0.8-2) unstable; urgency=medium

  * Thomas Hood:
    - Add 10_conf-space-fix.dpatch so that libasound2 works with sound
      card names containing spaces  (Closes: #294880, #293907)

 -- Jordi Mallach <jordi@debian.org>  Fri, 18 Feb 2005 01:53:09 +0100

alsa-lib (1.0.8-1) unstable; urgency=low

  * New upstream release
    (Closes: #290034 "libasound2 1.0.7 causing problems with XMMS")
  * Thomas Hood:
    - Eliminate 10_pcm_wait_assertion.dpatch (applied upstream)
    - examples/asound.conf_dmix
      + Simplify
      + Mention /usr/share/doc/libasound2-doc/html/conf.html
    - debian/rules
      + Eliminate debian/libasound2.shlibs; instead, use
           dh_makeshibs -V'libasound2 (>> 1.0.8)'
        (Version bumped up from 1.0.5)
      + Add -n option to dh_makeshlibs -plibasound2-plugins so that
        no ldconfig is done in libasound2-plugins's post(rm|inst).
        Eliminates lintian warning postinst-has-useless-call-to-ldconfig
  * Jordi Mallach:
    - debian/rules: minor simplification.

 -- Jordi Mallach <jordi@debian.org>  Sun, 16 Jan 2005 19:34:04 +0100

alsa-lib (1.0.7-4) unstable; urgency=high

  * Thomas Hood:
    - debian/patches/
      + Add 10_pcm_wait_assertion  (Closes: #284555)

 -- Jordi Mallach <jordi@debian.org>  Mon, 13 Dec 2004 18:50:33 +0100

alsa-lib (1.0.7-3) unstable; urgency=low

  * debian/control: move doxygen to Build-Depends, to avoid our old
    "policy vs. reality" conflict. Thanks LaMont for the live help. :)

 -- Jordi Mallach <jordi@debian.org>  Thu,  9 Dec 2004 20:08:24 +0100

alsa-lib (1.0.7-2) unstable; urgency=medium

  * Thomas Hood:
    - libasound2.postinst: Remove cruft only on configure
    - libasound2.postrm: Add to remove cruft on purge too
  * Jordi Mallach:
    - revert modifications made for libasound2-data, as that didn't
      get past ftpmasters. Not providing an upgrade path as this never
      hit the archive. No beer for Kinnison! ;)

 -- Jordi Mallach <jordi@debian.org>  Thu,  9 Dec 2004 13:04:40 +0100

alsa-lib (1.0.7-1) unstable; urgency=low

  * New upstream release
    - Closes: #273498  "Rhythmbox won't playback on ICE1712 card"
    - Closes: #280543  "emu10k1: sound cut when passthru enabled"
  * Thomas Hood:
    - Move arch-indep files from libasound2 to libasound2-data
      (Closes: #281389)
    - debian/rules
      + Extensive changes because of introduction of libasound2-data
      + Set DH_VERBOSE=1 until we're less worried about build failures
    - debian/patches/
      + 01_aclocal_underquote_warning   Delete unused
      + 01_aserver_options              Remove obsolete
      + 01_conf_backslash               Remove obsolete
      + 01_alpha_versioned_symbols      Leave
      + 02_aclocal_libs_fix             Leave
    - debian/control
      + Eliminate duplicate dependencies from Build-Depends-Indep
    - debian/watch: update
    - libasound2.NEWS:
      + Update
  * Jordi Mallach:
    - debian/control
      + Make libasound2-data replace libasound2 (<< 1.0.7)

 -- Jordi Mallach <jordi@debian.org>  Wed,  1 Dec 2004 18:42:14 +0100

alsa-lib (1.0.6-5) unstable; urgency=medium

  * Thomas Hood:
    - debian/control:
      + Add libjack0.80.0-dev back to Build-Depends  (Closes: #281685)

 -- Jordi Mallach <jordi@debian.org>  Wed, 17 Nov 2004 10:24:10 +0100

alsa-lib (1.0.6-4) unstable; urgency=medium

  * Thomas Hood:
    - /usr/share/doc/libasound2/examples/asound.conf_dmix
      + Add as an example of how to set up /etc/asound.conf
        or ~/.asoundrc so that the dmix plugin is used to
        mix together multiple sound sources
    - debian/control:
      + Tweak Descriptions
  * Jordi Mallach:
    - debian/rules:
      + Install doxygen docs in /usr/share/doc/libasound2-doc/,
        not in .../libasound2-dev/  (Closes: #277837)
    - debian/libasound2-doc.install:
      + Update html docs path
    - debian/libasound2-doc.doc-base:
      + Add this file to register the doxygen docs
    - debian/rules:
      + Implement an easy way to disable the build of the jack plugin,
        thus allowing breaking of the circular build dependency
        between jack-audio-connection-kit and alsa-lib.  Please see
        the README.build file for more information.  (Closes: #222677)
        Thanks to Colin Watson for the suggestion.
    - debian/README.build:
      + Added (to the source package) with instructions on how
        to build alsa-lib without libjack0.80.0-dev.

 -- Jordi Mallach <jordi@debian.org>  Wed, 17 Nov 2004 00:58:42 +0100

alsa-lib (1.0.6-3) unstable; urgency=medium

  * Jordi Mallach:
    - Add NEWS file for libasound2 to describe the version mismatch
      problem (#275573) and to provide solution alternatives
    - debian/control: require debhelper (>= 4.1.51) for NEWS.Debian
      support
  * Thomas Hood:
    - Fix up copyright file
    - debian/control:
      + Tweak Description
      + Don't Depend on alsa-headers which doesn't exist any more.
      + Build-Depend on doxygen >> 1.3.8-20040913-1 in order to
        prevent build segfault

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Oct 2004 17:48:28 +0200

alsa-lib (1.0.6-2) unstable; urgency=medium

  * Thomas Hood:
    - conf.c
      + Add 01_conf_backslash.dpatch:
        Make backslash a LOCAL_UNEXPECTED_CHAR
        Patch backported from CVS
    - aserver.c
      + Add 01_aserver_options.dpatch:
        Terminate long_options structure  (Closes: #211893)
        Thanks to Clement Stenac for the patch
  * Jordi Mallach:
    - this rebuild should fix the version missmatch in version.h
      (closes: #271047).
    - debian/patches/01_alpha_versioned_symbols.dpatch: apply patch from
      Steve Langasek to force the usage of USE_VERSIONED_SYMBOLS on
      alpha to workaround the usage of non-portable assembly
      (closes: #272998).

 -- Jordi Mallach <jordi@debian.org>  Sun, 26 Sep 2004 18:38:47 +0200

alsa-lib (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Jordi Mallach:
    - debian/control: add Thomas Hood to Uploaders.

 -- Jordi Mallach <jordi@debian.org>  Wed, 22 Sep 2004 22:24:00 +0200

alsa-lib (1.0.5-1) unstable; urgency=low

  * New upstream release.
  * Jordi Mallach:
    - debian/libasound2.shlibs: bump shlibs again, new symbols added.

 -- Jordi Mallach <jordi@debian.org>  Thu, 10 Jun 2004 01:25:30 +0200

alsa-lib (1.0.4-1) unstable; urgency=low

  * New upstream release.
    - More snd_pcm_mmap_commit fixes (Closes: #238212)
  * David B. Harris:
    - Bump shlibs, several new symbols were added.
  * Jordi Mallach:
    - debian/rules: remove workaround for hppa build, works ok now.
    - debian/control:
      + change Maintainer name to "Debian ALSA Maintainers".
      + update Standards-Version to 3.6.1.0 (no changes needed).

 -- Jordi Mallach <jordi@debian.org>  Tue, 13 Apr 2004 21:53:47 +0200

alsa-lib (1.0.3b-1) unstable; urgency=medium

  * New upstream release
    + Various and sundry dmix problems fixed (Closes: #236394)
    + snd_pcm_mmap_commit fixed (Closes: #238212)
    + Urgency set to 'medium' as these bugs caused problems for a lot of
      people.
  * Don't distribute ancient and non-updated changelog.gz (Closes: #236294)

 -- David B. Harris <dbharris@debian.org>  Wed, 17 Mar 2004 12:40:44 -0500

alsa-lib (1.0.3-1) unstable; urgency=low

  * New upstream release
    + works on exec-shield enabled kernels (Closes: #235954)
  * David B. Harris:
    + Change Maintainer: email address from my private address to
      dbharris@debian.org

 -- David B. Harris <dbharris@debian.org>  Wed, 25 Feb 2004 22:40:10 -0500

alsa-lib (1.0.2-1) unstable; urgency=low

  * New upstream release.
  * David B Harris:
    + debian/patches/00list: Remove 01_aclocal_underquote_warning, it has been
      integrated upstream.
    + debian/libasound2.shlibs: bump shlibs version, forgot to do this for
      the new upstream release (symbol sndo_pcm_transfer_block was added).

 -- Jordi Mallach <jordi@debian.org>  Sat, 21 Feb 2004 18:29:37 +0100

alsa-lib (1.0.1-1) unstable; urgency=medium

  * New upstream release (closes: #228102).
    + NOTE! This version includes source incompatibility with previous
      versions. We tested a great many packages and filed bugs, but you may
      want to check your own package too if it Build-Depends: on
      libasound2-dev. The change is briefly documented at
      /usr/share/doc/libasound2-dev/NOTES.
  * David B Harris:
    + Bump libasound2.shlibs to this release (>> 1.0.0) as a new
      symbol (snd_seq_port_subscribe_set_voices)
    + Install "NOTES" file as documentation in libasound2-dev, which documents
      the recent source-incompatible change
  * Jordi Mallach:
    + debian/rules: dpatchify this package.
    + debian/patches/01_aclocal_underquote_warning.dpatch: Apply patch from
      Alexander Kogan to avoid a warning with automake 1.8 (closes: #228687).
    + debian/patches/02_aclocal_libs_fix.dpatch: Move Joy's patch to a dpatch.
    + debian/control: switch to JACK 0.80.0.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Jan 2004 14:18:06 +0100

alsa-lib (0.9.8-2) unstable; urgency=medium

  * Jordi Mallach:
    + debian/rules: workaround weird FTBFS in hppa using -O0 in this arch
      (thanks for the testing, LaMont).

 -- Jordi Mallach <jordi@debian.org>  Thu, 20 Nov 2003 16:46:04 +0100

alsa-lib (0.9.8-1) unstable; urgency=low

  * New upstream release.
  * David B Harris:
    + Bump shlibs requirement, as new symbols have been added

 -- David B Harris <david@eelf.ddts.net>  Fri, 14 Nov 2003 12:54:11 +0100

alsa-lib (0.9.6-3) unstable; urgency=low

  * Jordi Mallach:
    + utils/alsa.m4: further fixes from Joy. Don't despair, XMMS users.

 -- Jordi Mallach <jordi@debian.org>  Tue,  9 Sep 2003 03:03:34 +0200

alsa-lib (0.9.6-2) unstable; urgency=low

  * Jordi Mallach:
    + utils/alsa.m4: don't modify LIBS gratuitously (closes: #208883).
      Thanks, Josip Rodin.

 -- Jordi Mallach <jordi@debian.org>  Tue, 09 Sep 2003 02:03:49 +0200

alsa-lib (0.9.6-1) unstable; urgency=low

  * New upstream release.
  * David B. Harris
    + Import new upstream version to our CVS tree
    + Remove outdated Suggests: alsadriver. alsadriver doesn't exist any more,
      and nothing Provides: it. (Closes: #199389)

 -- David B Harris <david@eelf.ddts.net>  Tue, 26 Aug 2003 14:19:26 +0200

alsa-lib (0.9.4-2) unstable; urgency=low

  * Jordi Mallach:
    + debian/libasound2-plugins.links: symlink libasound_module_pcm_jack.so
      to libasound_module_pcm_jack.so.2.0.0 (thanks Neil Darlow,
      closes: #197497).

 -- Jordi Mallach <jordi@debian.org>  Sun, 15 Jun 2003 17:40:27 +0200

alsa-lib (0.9.4-1) unstable; urgency=low

  * David B. Harris:
    + New upstream release.
  * Jordi Mallach:
    + debian/copyright: update list of ALSA maintainers.
    + debian/control: update JACK build dependency to libjack0.71.2-dev
      (closes: #197121).

 -- Jordi Mallach <jordi@debian.org>  Fri, 13 Jun 2003 13:10:26 +0200

alsa-lib (0.9.3-2) unstable; urgency=low

  * Steve Kowalik:
    - Don't jump to build-stamp-indep in the build rule. (Closes: #194297)
    - Bump to Standards-Version 3.5.10.0; no changes needed.

 -- Steve Kowalik <stevenk@debian.org>  Sat, 24 May 2003 17:17:01 +1000

alsa-lib (0.9.3-1) unstable; urgency=low

  * New upstream release.
  * Jordi Mallach:
    + debian/control:
      - add libc6-dev | libc-dev to libasound2-dev's dependencies
        (closes: #147649).
      - add libasound2-doc to libasounds2-dev's suggestions.
      - add Build-Depends on libjack0.50.0-dev to build the JACK plugin.
      - add Build-Depends-Indep on debhelper and doxygen to build
        alsa-lib docs.
      - new binary package, libasound2-plugins, which holds extra plugins.
    + debian/rules: build and install the JACK plugin into libasound2-plugins.
    + debian/libasound2-plugins.install: add usr/lib/alsa-lib.
  * David B Harris:
    + debian/control: Move libasound2-dev to section libdevel.
    + debian/libasound2.shlibs: Bump required version to 0.9.3, several new
      symbols were added.
    + Add a new package, libasound2-doc. Contains the doxygen-generated HTML
      documentation for the libasound2 APIs. (Closes: #189638)

 -- Jordi Mallach <jordi@debian.org>  Sat, 10 May 2003 18:19:27 +0200

alsa-lib (0.9.2-2) unstable; urgency=medium

  * Jordi Mallach:
    + Rebuild the package with the correct options for cvs-buildpackage
      (closes: #186840).

 -- Jordi Mallach <jordi@debian.org>  Sun, 30 Mar 2003 16:42:34 +0200

alsa-lib (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Jordi Mallach:
    + debian/control: bump depends to 0.9.2.
    + debian/libasound2.shlibs: update to 0.9.2.

 -- Jordi Mallach <jordi@debian.org>  Fri, 28 Mar 2003 23:38:40 +0100

alsa-lib (0.9.1-1) unstable; urgency=low

  * New upstream release.
  * Jordi Mallach:
    + debian/libasound2.shlibs: bump to 0.9.1.
    + debian/control: depend on alsa-headers 0.9.1, too.

 -- Jordi Mallach <jordi@debian.org>  Thu, 13 Mar 2003 13:38:46 +0100

alsa-lib (0.9.0rc8c-1) unstable; urgency=low

  * New upstream release.
  * debian/control: add David B. Harris <david@eelf.ddts.net> to Uploaders:,
    drop Martin Loschwitz.
  * debian/shlibs: updated to rc8.

 -- Jordi Mallach <jordi@debian.org>  Tue, 11 Mar 2003 12:49:21 +0100

alsa-lib (0.9.0rc7-3) unstable; urgency=low

  * debian/control:
    + sigh, add Replaces: libasound2 (<< 0.9.0rc7-2) to libasound2-dev.
      Promise I tested this (with dpkg -i, right...) (closes: #181711).
    + drop the pkg-config dependency from libasound2-dev, as the aclocal
      macro doesn't use it.

 -- Jordi Mallach <jordi@debian.org>  Thu, 20 Feb 2003 17:32:19 +0100

alsa-lib (0.9.0rc7-2) unstable; urgency=low

  * debian/control:
    + sync maintainer name with alsa-driver.
    + fix debhelper requirement to (>= 4.0.0), as we're using DH_COMPAT=4.
    + add Depends: pkg-config to libasound2-dev.
    + Standards-Version: 3.5.8.0.
  * debian/rules:
    + install stuff in debian/tmp, not debian/libasound2.
    + use dh_install instead of dh_movefiles.
    + remove call to dh_undocumented.
    + don't remove libtool stuff by hand.
  * debian/libasound2.install: install lib, aserver and alsa config files.
  * debian/libasound2-dev.install: install development, aclocal and pkgconfig
    files (closes: #181589).

 -- Jordi Mallach <jordi@debian.org>  Wed, 19 Feb 2003 10:55:49 +0100

alsa-lib (0.9.0rc7-1) unstable; urgency=low

  * New upstream release.
  * debian/compat: use DH_COMPAT=4.
  * debian/control:
    + change maintainer to "Debian Alsa Psychos
      <debian-alsa@lists.wedontsleep.org", add Martin to Uploaders:.
    + update Depends: to rc7.
    + minor fix to descriptions.
  * debian/copyright: update packaging history.
  * debian/shlibs: bump to rc7.
  * debian/rules: remove DH_COMPAT definition.

 -- Jordi Mallach <jordi@debian.org>  Sun,  2 Feb 2003 11:31:47 +0100

alsa-lib (0.9.0rc6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + new Maintainers, Martin Loschwitz <madkiss@madkiss.org>,
      Jordi Mallach <jordi@debian.org> and
      Steve Kowalik <stevenk@debian.org>.
    + drop alsa-headers from Build-Depends. They are included in the tarball
      now.
  * debian/rules:
    + use the symlink method for config.{guess,sub} updating.
    + remove stuff for DEB_BUILD_OPTIONS "strip", as it's handled by
      debhelper.
    + cleanup libtool stuff that is left behind.
  * debian/shlibs: tighten depends again, gratuitously.
  * Maintainer upload, ack NMU's (closes: #101287, #145016, #149159,
    closes: #122775, #162359, #70370, #81018, #126069, #142877, #144592,
    closes: #156448, #157056, #117109).

 -- Jordi Mallach <jordi@debian.org>  Tue, 10 Dec 2002 16:27:43 +0100

alsa-lib (0.9.0rc5-0.2) unstable; urgency=low

  * Non-Maintainer Upload.
  * debian/control: Build-Depend & Depend on alsa-headers (>= 0.9.0rc5).
  * debian/shlibs: tighten depends to (>> 0.9.0rc5). Sigh.

 -- Jordi Mallach <jordi@debian.org>  Wed, 30 Oct 2002 23:09:55 +0100

alsa-lib (0.9.0rc5-0.1) unstable; urgency=low

  * Non-Maintainer Upload.
  * New upstream release.
  * debian/changelog: remove emacs local variables.
  * debian/rules: call "make distclean" instead of "make clean".

 -- Jordi Mallach <jordi@debian.org>  Wed, 30 Oct 2002 18:39:57 +0100

alsa-lib (0.9.0rc3-0.3) unstable; urgency=low

  * debian/libasound2.postinst: remove crufty /usr/doc link left over by
    ancient alsalib0.3.0 (closes: #81018).
  * debian/rules:
    + add support for DEB_BUILD_OPTIONS "noopt", drop "debug".
    + quote around $(CFLAGS).
  * debian/shlibs: tighten to (>> 0.9.0rc3). Somewhere between beta10 and
    rc3 there was an incompatible change which breaks alsactl (thanks,
    Peter Cordes; closes: #162359).

 -- Jordi Mallach <jordi@debian.org>  Tue, 15 Oct 2002 19:14:34 +0200

alsa-lib (0.9.0rc3-0.2) unstable; urgency=low

  * Non-Maintainer Upload.
  * debian/copyright: correct alsa-lib's license, it's LGPL, not GPL.
    (closes: #142877).
  * EMU10K1.conf is fixed in this version (closes: #144592).
  * alsa-base dependency was downgraded on 0.9.0beta10a-1 (closes: #117109).
  * User error, libasound2-dev's Depends: are ok (closes: #156448).
  * alsa/asoundlib.h is correct in this version (closes: #126069).
  * Build-Depends have been fixed for a long time (closes: #70370).

 -- Jordi Mallach <jordi@debian.org>  Sun, 22 Sep 2002 14:32:32 +0200

alsa-lib (0.9.0rc3-0.1) unstable; urgency=low

  * Non-Maintainer Upload. Nearly all the work was done by
    Bastian Kleineidam <calvin@debian.org>.
  * New upstream release.
  * New upstream has updated iatomic.h for mips
    (closes: #149159, #145016).
  * Removed unnecessary powerpc patch.
  * Removed libtool hack (dont know why this was there).
  * Removed call to auto* tools, adjust build-depends.
  * Build-depend on latest alsa-headers.
  * Standards-Version: 3.5.6.1.
  * DH_COMPAT=3; change debian/tmp references to debian/$(package)
    (closes: #157056).
  * Update config.{guess,sub}, ran libtoolize (closes: #101287).
  * Do s/make/$(MAKE)/ in debian/rules.
  * Add install target to debian/rules.
  * Removed unnecessary debian/libasound0.4*.
  * Removed unnecessary debian/postinst.
  * Link asound.1 to undocumented.

 -- Jordi Mallach <jordi@debian.org>  Sun, 08 Sep 2002 17:20:52 +0200

alsa-lib (0.9.0rc1-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.5.6.0

 -- Masato Taruishi <taru@debian.org>  Sun, 12 May 2002 22:01:47 +0900

alsa-lib (0.9.0beta12-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Tue,  2 Apr 2002 18:45:52 +0900

alsa-lib (0.9.0beta10a-1) unstable; urgency=low

  * New upstream release
  * Applied powerpc patch from Jack Howarth <howarth@bromo.msbb.uc.edu>
  * Changed Recommends: alsa-base to Suggests.

 -- Masato Taruishi <taru@debian.org>  Sat, 15 Dec 2001 13:11:36 +0900

alsa-lib (0.9.0beta9-1) unstable; urgency=low

  * New upstream release
  * Maintainer release (closes: #97988)
  * add --enable-static.
  * some lintian fixes.

 -- Masato Taruishi <taru@debian.org>  Tue, 27 Nov 2001 04:06:27 +0900

alsa-lib (0.9.0beta7-1.2) unstable; urgency=low

  * NMU
  * Avoid use of functions from <asm/atomic.h> on HPPA.  More of #97988.

 -- LaMont Jones <lamont@debian.org>  Thu, 22 Nov 2001 18:04:07 -0700

alsa-lib (0.9.0beta7-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Avoid use of functions from <asm/atomic.h> on ARM and SPARC.
    (Closes: #97988)

 -- Phil Blundell <pb@debian.org>  Thu, 22 Nov 2001 13:56:50 +0000

alsa-lib (0.9.0beta7-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Thu,  6 Sep 2001 15:54:18 +0900

alsa-lib (0.9.0beta4-1.1) unstable; urgency=low
  * Run libtoolize to get support for new architectures.  Closes: #101287
  * printf is a macro as of gcc 3.0.  Fix usage of printf as a field.

 -- LaMont Jones <lamont@debian.org>  Mon,  9 Jul 2001 21:39:34 -0600

alsa-lib (0.9.0beta4-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Thu, 17 May 2001 18:28:36 +0900

alsa-lib (0.9.0beta3-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Fri,  6 Apr 2001 00:42:03 +0900

alsa-lib (0.5.10-1) unstable; urgency=low

  * New upstream release
  * Changed a relationship severity of alsadriver
     from recommends to suggets.
      (closes: #79527, #79427)
  * Added Build-Depends: debhelper.

 -- Masato Taruishi <taru@debian.org>  Mon, 15 Jan 2001 13:16:29 +0900

alsa-lib (0.5.9-4) unstable; urgency=low

  * Removed a confliction with alsa-base (<< 0.5.9d-6)
    and added a recommendation to alsa-base.

 -- Masato Taruishi <taru@debian.org>  Thu,  7 Dec 2000 00:36:25 +0900

alsa-lib (0.5.9-3) unstable; urgency=low

  * Removed Provides: alsalib.
  * Updated for new Debian ALSA system.
     - now can coexist with different version of ALSA library.
       Removed a dependency to alsa-base.
       (closes: #74188).
     - Added Conflicts: alsa-base (<< 0.5.9d-6).

 -- Masato Taruishi <taru@debian.org>  Mon, 27 Nov 2000 02:00:44 +0900

alsa-lib (0.5.9-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Thu, 17 Aug 2000 12:20:13 +0900

alsa-lib (0.5.8-1) unstable; urgency=low

  * new upstream release.

 -- Masato Taruishi <taru@debian.org>  Tue,  6 Jun 2000 22:02:25 +0900

alsa-lib (0.5.7-4) unstable; urgency=low

  * Changed section of libasound1 and libasound1-dev to libs and devel.

 -- Masato Taruishi <taru@debian.org>  Mon,  5 Jun 2000 03:32:41 +0900

alsa-lib (0.5.7-3) unstable; urgency=low

  * Changed dependency relationships.
     ALSA Kernel API was fixed. This menas we dont't need to consider
     ALSA kernel version :)
  * Added automake, autoconf, libtool entries to build depends.

 -- Masato Taruishi <taru@debian.org>  Mon, 10 Apr 2000 20:39:24 +0900

alsa-lib (0.5.7-2) unstable; urgency=low

  * Updated dependency info. (closes: #62011)
  * Removed minor dependencies for alsa-base of libasound1.

 -- Masato Taruishi <taru@debian.org>  Sun,  9 Apr 2000 01:23:23 +0900

alsa-lib (0.5.7-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Fri,  7 Apr 2000 17:21:38 +0900

alsa-lib (0.5.6-2) unstable; urgency=low

  * Fixed debian/copyright.

 -- Masato Taruishi <taru@debian.org>  Wed, 15 Mar 2000 00:45:39 +0900

alsa-lib (0.5.6-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Mon, 13 Mar 2000 02:05:41 +0900

alsa-lib (0.5.5-2) unstable; urgency=low

  * Removed version name from this source name.

 -- Masato Taruishi <taru@debian.org>  Sat, 11 Mar 2000 04:46:31 +0900

alsa-lib-0.5 (0.5.5-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Fri,  3 Mar 2000 00:12:24 +0900

alsa-lib-0.5 (0.5.4-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Tue, 29 Feb 2000 18:28:02 +0900

alsa-lib-0.5 (0.5.3-1) unstable; urgency=low

  * New upstream release.
  * Added -version-info to src/Makefile.am because of wrong versioning
    of the upstream.

 -- Masato Taruishi <taru@debian.org>  Thu, 17 Feb 2000 23:01:02 +0900

alsa-lib-0.5 (0.5.2-1) unstable; urgency=low

  * New upstream release

 -- Masato Taruishi <taru@debian.org>  Wed,  9 Feb 2000 10:55:53 +0900

alsa-lib-0.4 (0.4.1e-3) unstable; urgency=low

  * Renamed source name.

 -- Masato Taruishi <taru@debian.org>  Wed,  9 Feb 2000 07:33:01 +0900

alsalib (0.4.1e-2) unstable; urgency=low

  * Added 'Conflicts: alsalib0.1.3'. (Closes: #36206, #39446)
  * Changed GPL's path info in copyright.

 -- Masato Taruishi <taru@debian.org>  Sat,  8 Jan 2000 00:00:00 +0900

alsalib (0.4.1e-1) unstable; urgency=low

  * new upstream release.

 -- Masato Taruishi <taru@debian.org>  Mon,  8 Nov 1999 21:29:24 +0900

alsalib (0.4.1d-1) unstable; urgency=low

  * new upstream release.

 -- Masato Taruishi <taru@debian.org>  Sat, 30 Oct 1999 00:46:37 +0900

alsalib (0.4.1-4) unstable; urgency=low

  * wrong closes format in -3 (Closes: #46751)
  * Added shlibs info libasound0 (<< 0.4.2).

 -- Masato Taruishi <taru@debian.org>  Mon, 25 Oct 1999 22:06:29 +0900

alsalib (0.4.1-3) unstable; urgency=low

  * new upstream release.
  * Changed package name.
  * Fixed missing headers files: Need alsa-headers (Closes #46751)

 -- Masato Taruishi <taru@debian.org>  Sun, 17 Oct 1999 05:11:17 +0900

alsalib (0.3.2-2) unstable; urgency=low

  * Now includes a dummy alsalib0.3.0 package to attempt to cover up for
    the evil bug in the previous alsalib0.3.0's prerm.

 -- David Huggins-Daines <dhd@debian.org>  Thu, 15 Jul 1999 19:45:05 -0400

alsalib (0.3.2-1) unstable; urgency=low

  * New upstream version (skipped 0.3.1, because I'm too slow)
  * Resolved namespace clash in the doc-base documentation.

 -- David Huggins-Daines <dhd@debian.org>  Thu, 24 Jun 1999 02:50:06 -0400

alsalib (0.3.0-pre4-1) unstable; urgency=low

  * New upstream version
  * Use maintainer-clean-am target to clean libtool stuff up

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 14 Feb 1999 23:48:20 +0100

alsalib (0.3.0-pre3a-1) unstable; urgency=low

  * New upstream version
  * Move libtool-hack into debian/rules so I don't have to patch it in
    at every new upstream release
  * Upstream documentation is now no longer sgml, but html made with LyX;
    update doc-base registration accordinglt
  * Change priority to extra

 -- Wichert Akkerman <wakkerma@debian.org>  Wed,  3 Feb 1999 00:36:11 +0100

alsalib (0.3.0-pre2-2) unstable; urgency=low

  * Fixed wrong documentID in doc-base registration

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 23 Jan 1999 23:45:06 +0100

alsalib (0.3.0-pre2-1) unstable; urgency=low

  * New upstream version
  * Register API documentation with doc-base
  * Move autoconf-stuff to -dev package

 -- Wichert Akkerman <wakkerma@debian.org>  Sat, 23 Jan 1999 21:14:19 +0100

alsalib (0.1.3-2) unstable; urgency=low

  * Rebuild with new alsadriver installed so we get the new ioctls

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 26 Nov 1998 20:20:24 +0100

alsalib (0.1.3-1) unstable; urgency=low

  * New upstream version
  * Renamed package
  * Fix a couple of lintian errors & warnings

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 15 Nov 1998 02:34:38 +0100

alsalib (0.1.1-1) unstable; urgency=low

  * New upstream version
  * Suggest alsadriver

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 16 Sep 1998 03:02:57 +0200

alsalib (0.0.9-1) unstable; urgency=low

  * New uptream version
  * Use --strip-unneeded on /usr/lib/libsound.so
  * Use --strip-debug on /usr/lib/libsound.a

 -- Wichert Akkerman <wakkerma@debian.org>  Fri,  3 Jul 1998 00:20:25 +0200

alsalib (0.0.8-1) unstable; urgency=low

  * Initial release

 -- Wichert Akkerman <wakkerma@debian.org>  Sun,  7 Jun 1998 16:53:01 +0200
